Subject: Re: PlWin Chrashes on Halt

From: Stephen Rogerson <[email-masked]>
Date: Thu, 19 Oct 2000 18:34:17 +0100

On Thu, 19 Oct 2000 16:24:33 +0200, you wrote:

>Jan Wielemaker schrieb:
>
>> This is a known problem I'm hunting for a long time.
>> On most systems there is nothing wrong, on a few Prolog
>> crashes at exit, but the machine stays fine and on
>> some others the symptoms you describe occur.  It is
>> specific to Windows 95 and 98.  NT and 2000 have no
>> problems.
>> 
>> Sofar one of the solutions appears to install MSVC.
>> (The micorsoft C development stuff).  Unfortunately
>> that precisely is the reason it is so hard to track this
>> problem.
>> 
>> Any hints for tracking it are more then welcome. If
>> all I had was stack dump ...
>
>Well, Jan have no machine to test it and I'll try to reproduce the
>error.
>I had tried it on a fresh installed Win98 and Win95 with w32pl3310.exe
>and have no error when I close prolog.
>
>So please tell me:
>
>On which system occurs the error (OS version number, installed software,
>...) ?
>
>How is w32pl3310.exe installed (pathes ....) ?
>
>What must i do in SWI-Prolog before i close it to get this error ?

I don't know about anyone else, but for me:

W95 OEM build 4.00.950 b

I use pl version 3.4.0 with xcpe. Installed in the natural manner.
The fault is not totally consistent, sometimes  it can go wrong after
help(consult). [ or help anything ], but it failed to do that when I just tried
:-(

What got it to crash this time was consult(cube), followed by halt.

I have got MSVC installed, but a very old version 1.5. Actually I hardly ever
use it.

Qn: Will plwin compile with the standard (read cheap) version of MCVC, or does
it require the Prof edition?

Steve
-- 
Forest of Dean